#----------------------------------------------------------------------
# A very simple wxPython example.  Just a wxFrame, wxPanel,
# wxStaticText, wxButton, and a wxBoxSizer, but it shows the basic
# structure of any wxPython application.
#----------------------------------------------------------------------
import os, sys, string, pprint, copy
import serial
import wx
from wxPython.wx import *
from wxPython.help import *
from wxPython.lib.anchors import LayoutAnchors
from wxPython.stc import *

MAJOR = 0
MINOR = 2
PATCH = 0
########################################################################
#    $B%W%m%0%i%`@_Dj!&I=<(%Q%M%k(B                                        #
########################################################################
class titlePanel(wx.Panel):
    def __init__(self, parent, title):
        global MAJOR
        global MINOR
        global PATCH

        wx.Panel.__init__(self, parent, -1,
                          style=wx.NO_BORDER)

        #### $B%?%$%H%kL>>N(B ####
        title = wx.StaticText(self, -1, " K-mixer1602 ")
        title.SetFont(wx.Font(18, wx.ROMAN, wx.ITALIC, wx.BOLD))
        title.SetForegroundColour("#0090ff")

        vstr = 'Version%d.%d.%d'%(MAJOR, MINOR, PATCH)
        vname = wx.StaticText(self, -1, vstr)
        vname.SetFont(wx.Font(10, wx.ROMAN, wx.NORMAL, wx.NORMAL))

        substr = '16ch Digital controled analog mixer'
        subname = wx.StaticText(self, -1, substr)
        subname.SetFont(wx.Font(10, wx.ROMAN, wx.NORMAL, wx.NORMAL))

        tbox = wx.BoxSizer(wx.VERTICAL)
        tbox.Add(title, 0, wx.ALL|wx.ALIGN_RIGHT, 8)
        tbox.Add(vname, 0, wx.RIGHT|wx.ALIGN_RIGHT, 16)
        tbox.Add(subname, 0, wx.RIGHT|wx.ALIGN_RIGHT, 16)

        self.SetSizer(tbox)
        self.SetAutoLayout(True)
        tbox.Fit(self)
        self.winsize = self.GetSize()
        #wsize = (220, self.winsize.height)
        #self.SetSize(wsize)

# end of file #
